<?php
$StrId=V($_POST['TxtId']);
$StrCmd=V($_POST['TxtAc']);
//-------------------------
$StrONE=trim(V($_GET['CmdB']));	
//-------------------------
$StrCod=V($_POST['TxtCod']);
$Lin=V($_POST['Lin']);		
$StrDes=V($_POST['TxtDes']);
$StrMar=V($_POST['CboMar']);
//
if(strlen($Lin)==0)$Lin="TODOS";
if(strlen($StrMar)==0)$StrMar="TODOS";
//
$Cod_="%".$StrCod."%";
$Lin_=LIKE($Lin);
$Des_="%".$StrDes."%";
$Mar_=LIKE($StrMar);
//
$FF="ID>0 AND COD LIKE '$Cod_' AND TIP LIKE '$Lin_' AND DES LIKE '$Des_' AND MAR LIKE '$Mar_' ";
//
$LStrTR=gn("count(*)","viz_productos",$FF);
//
$LStrPag=V($_POST['TxtPag']);	
if($StrCmd=="F"){$LStrPag="1";}
$VP_RegXPag=100;	
$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
?>